function p = princval(phi)
% function p = princval(phi)
% computes the principal value p [-pi,pi) of the arbitrary
% phase value phi (in rad); phi can be a matrix
p = rem(phi,2*pi);
gt = find(p >= pi); p(gt)=p(gt)-2*pi;
le = find(p < -pi); p(le)=p(le)+2*pi;
