% Low-delay bandpass filter with passband and stopband constraints

if 1,
    
%    om=pi*[linspace(0, .34,750),linspace(.4, .6,500),linspace(.66,1,750)];
%    omedge=pi*[0, .34, .4, .6, .66,1];
%    D=[zeros(1,750),exp(-1i*30*om(751:1250)),zeros(1,750)];
%    W=[500*ones(1,750),ones(1,500),500*ones(1,750)];
%    dc=[.001*ones(1,750),.01*ones(1,500), .001*ones(1,750)];
%    h = ccirls(100,om,omedge,D,W,dc, 'cheb' ,2,50)

    om=pi*[linspace(0, .16,320),linspace(.2, .3,200),linspace(.34,.46,240), ...
        linspace(.5, .7,400),linspace(.74, 1,520)];
    omedge=pi*[0, .16, .2, .3, .34, .46, .5, .7, .74,1];
    D=[zeros(1,320),exp(-1i*50*om(321:520)),zeros(1,240), ...
        exp(-1i*60*om(761:1160)),zeros(1,520)];
    W=[ones(1,320),zeros(1,200),zeros(1,240),zeros(1,400),5*ones(1,520)];
    dc=[-ones(1,320),.01*ones(1,200), 10^(-3.5)*ones(1,240), ...
        .005*ones(1,400), .001*ones(1,520)]; 
    h = ccirls(161,om,omedge,D,W,dc, 'cheb' ,2,100)

else
    
    om=pi*[linspace(0, .34,750),linspace(.4, .6,500),linspace(.66,1,750)];
    omedge=pi*[0, .34, .4, .6, .66,1];
    D=[zeros(1,750),exp(-1i*30*om(751:1250)),zeros(1,750)];
    W=[500*ones(1,750),ones(1,500),500*ones(1,750)];
    dc=[.001*ones(1,750),.01*ones(1,500), .001*ones(1,750)];
    h = ccirls(100,om,omedge,D,W,dc, 'ls' ,2,50)

end