if 1,
%% Chebyshev criterion
N=31; om=pi*[linspace(0, .2,50),linspace(.3,1,200)];
D=[exp(-1i*10*om(1:50)),zeros(1,200)]; W=[ones(1,50),100*ones(1,200)];
dc=[.02*ones(1 ,50) ,-ones(1 ,200)];
h = lqp_ce(N,om,D,W,dc,4,1, 'cheb')

else
%% Least square criterion
N=31; om=pi*(0:500)/500; D=exp(-1i*((N-1)/2*om+4/pi*(om-pi/2).^2));
W=ones(size(D)); dc=.002*W;
h = lqp_ce(N,om,D,W,dc,4,1, 'ls')

end