% example: length 41 lowpass, band edges [.4 .5]*pi,
% weighting 1 in passband and 10 in stopband,
% desired passband group delay 12 samples

om=pi*[linspace(0, .4,400) ,linspace( .5,1 ,500)];
D=[exp(-1i*om(1:400)*12),zeros(1,500)];
W= [ones( 1,400) , 10*ones(1,500) ];
[h,delta] = burnpark(41,om,D,W)